Opened 7 years ago

Closed 6 years ago

#1668 closed bug (wontfix)

ErfurtWiki contained in Rox not fit for PHP 5.3

Reported by: jsfan Owned by: jsfan
Priority: major Milestone: unassigned
Component: BW Wiki Keywords:
Cc:

Description

This might be minor issues which can be fixed easily. However, we are using third party software here which has not been developed for a long time (last release 17 June 2005).

Should we fix this or replace it?

Change History (5)

comment:1 Changed 7 years ago by globetrotter_tt

If you manage to quickly replace it with another wiki software without much effort...

Note, that the erfurt wiki is used on several different pages in BeWelcome (groups, places, wiki).

Probably it's better to fix the PHP 5.3 issues first.

comment:2 Changed 7 years ago by jsfan

Well, I've started fixing some of the issues but pretty much any deprecated PHP function seems to be used in the code. :( And I haven't even checked, yet, how many deprecation notices we would already be living with on PHP 5.2.

I think as long as we cannot replace ErfurtWiki, this is a "wontfix". :(

Last edited 6 years ago by jsfan (previous) (diff)

comment:3 Changed 6 years ago by jsfan

I just found out that apparently Moodle uses a fork of ErfurtWiki (cf. http://en.wikipedia.org/wiki/ErfurtWiki). As Moodle is still actively developed, we might be able to rip out their wiki and use it without having to convert any data to a different wiki syntax.

comment:4 Changed 6 years ago by jsfan

  • Milestone Future deleted

Milestone Future deleted

comment:5 Changed 6 years ago by planetcruiser

  • Milestone set to unassigned
  • Resolution set to wontfix
  • Status changed from new to closed

let's either use mediawiki with sso in welen or use a symfony wiki bundle

Note: See TracTickets for help on using tickets.